version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/html/magento
file_exists_behavior: OVERWRITE

hooks:
  BeforeInstall:
    - location: scripts/before_install.sh
      timeout: 300
      runas: root

  AfterInstall:
    - location: scripts/after_install.sh
      timeout: 3600
      runas: root
    - location: scripts/create_ami.sh
      timeout: 1800
      runas: root

  ApplicationStart:
    - location: scripts/start_server.sh
      timeout: 10
      runas: root

  ValidateService:
    - location: scripts/validate_service.sh
      timeout: 10

      runas: root

